{"openapi":"3.0.4","info":{"title":"List instruments","description":"List all the instruments in the instrument master.\r\n            \r\nTo retrieve a particular set of instruments instead, use the Get instruments endpoint.\r\n\r\nUse scope '*' to list instruments across all scopes.\n\nThe maximum number of instruments that this method can list per request is 2,000.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/instruments":{"get":{"tags":["Instruments"],"summary":"List instruments","description":"List all the instruments in the instrument master.\r\n            \r\nTo retrieve a particular set of instruments instead, use the Get instruments endpoint.\r\n\r\nUse scope '*' to list instruments across all scopes.\n\nThe maximum number of instruments that this method can list per request is 2,000.","operationId":"ListInstruments","parameters":[{"name":"asAt","in":"query","description":"The asAt datetime at which to list instruments. Defaults to returning the latest\r\n             version of each instrument if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"effectiveAt","in":"query","description":"The effective datetime or cut label at which to list instruments.\r\n             Defaults to the current LUSID system datetime if not specified.","schema":{"type":"string","format":"dateorcutlabel"}},{"name":"page","in":"query","description":"The pagination token to use to continue listing instruments; this value is returned from\r\n             the previous call. If a pagination token is provided, the <i>sortBy</i>, <i>filter</i>, <i>effectiveAt</i> and\r\n             <i>asAt</i> fields must not have changed since the original request.\r\n             For more information, see https://support.lusid.com/knowledgebase/article/KA-01915.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}},{"name":"sortBy","in":"query","description":"A list of field names or properties to sort by, each suffixed by \" ASC\" or \" DESC\".","schema":{"type":"array","items":{"type":"string"}},"x-nullable":true},{"name":"limit","in":"query","description":"When paginating, limit the results to this number.","schema":{"maximum":5000,"minimum":1,"type":"integer","format":"int32"},"x-nullable":true},{"name":"filter","in":"query","description":"Expression to filter the result set. Defaults to filtering out inactive instruments\r\n             (that is, those that have been deleted). For more information about filtering results,\r\n             see https://support.lusid.com/knowledgebase/article/KA-01914.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string","default":"State eq 'Active'"}},{"name":"instrumentPropertyKeys","in":"query","description":"A list of property keys from the 'Instrument' domain to decorate onto\r\n             instruments, or from any domain that supports relationships to decorate onto related entities.\r\n             These must have the format {domain}/{scope}/{code}, for example 'Instrument/system/Name'.","schema":{"type":"array","items":{"type":"string","description":"The key that uniquely identifies the property. It has the format {domain}/{scope}/{code}."}},"x-nullable":true},{"name":"scope","in":"query","description":"The scope in which the instrument lies. When not supplied the scope is 'default'.\r\n\r\n             Use '*' to list instruments across all scopes.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string","default":"default"}},{"name":"relationshipDefinitionIds","in":"query","description":"A list of relationship definitions that are used to decorate related entities\r\n             onto each instrument in the response. These must take the form {relationshipDefinitionScope}/{relationshipDefinitionCode}.","schema":{"type":"array","items":{"type":"string","description":"Identifiers of an entity"}},"x-nullable":true},{"name":"dataModelScope","in":"query","description":"The optional scope of a Custom Data Model to use.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"dataModelCode","in":"query","description":"The optional code of a Custom Data Model to use.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"membershipType","in":"query","description":"The membership types of the specified Custom Data Model to return. Default value: Member. Available values: All, Member, Candidate.","schema":{"type":"string"}},{"name":"timelineScope","in":"query","description":"The scope of the Timeline.","schema":{"maxLength":512,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"timelineCode","in":"query","description":"The code of the Timeline. This can optionally include a colon followed by the Closed Period ID to use at the head of the timeline, for a timeline with unconfirmed periods.","schema":{"maxLength":512,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+(:[a-zA-Z0-9\\-_]+)?$","type":"string"}},{"name":"closedPeriodId","in":"query","description":"The closed period ID. If this is specified, both timelineScope and timelineCode must be specified.","schema":{"maxLength":512,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"responses":{"200":{"description":"The requested instruments","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfInstrument"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfInstrument"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfInstrument"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}